> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Project SSH Key

> List all SSH Keys in the project. These keys can be used to access servers after deploy and reinstall actions.




## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /projects/{project_id}/ssh_keys/{ssh_key_id}
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Kubernetes Clusters
  - name: Operating Systems
  - name: Plans
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
paths:
  /projects/{project_id}/ssh_keys/{ssh_key_id}:
    get:
      tags:
        - SSH Keys
      summary: Retrieve Project SSH Key
      description: >
        List all SSH Keys in the project. These keys can be used to access
        servers after deploy and reinstall actions.
      operationId: get-project-ssh-key
      parameters:
        - name: project_id
          in: path
          required: true
          description: Project ID or Slug
          examples:
            Success:
              value: proj_kjQwdE0XOYNVP
          schema:
            type: string
        - name: ssh_key_id
          in: path
          required: true
          examples:
            Success:
              value: ssh_zGr47qlMDAg0m
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/vnd.api+json:
              examples:
                Success:
                  value:
                    data:
                      id: ssh_zGr47qlMDAg0m
                      type: ssh_keys
                      attributes:
                        tags: []
                        name: breitenberg-blick.test
                        public_key: >-
                          ssh-rsa
                          AAAAB3NzaC1yc2EAAAADAQABAAABAQCUO+zsQdGJJGFIJT6R9PRgnfpA1NiIMBmfZK13pmAsC/aEr4TvJT+q60U2DZVeQi2AxdPwk3JrGpOgDUOKA9M6FlCXjCMWS5VINwbt6+P7ZCSThqdPPETrcDNd2wgNs+Q5kxRHqlknDu4KszIf14cXNnWCYjCly2+wV/Y17XuHGhHnzRSCf30mNtqQngKqkOHOB+G2P8RaZ6g70wOOoSlDRo3mxQ0vA62U25FeTbFdhkIrFDYsPX+4JL1bXYkRD3KIbfvH99RHtd/wtcqwpUuHoKdyiUNyJFBvtj912zVh+0n8zfe58Rmz0J9wGCTir3Qh/FwAVKB2kLpRHde7kZlv
                        fingerprint: 47:0f:68:b5:e7:4c:5c:32:b6:97:3d:e9:17:df:6d:93
                        created_at: '2026-01-14T15:56:41+00:00'
                        updated_at: '2026-01-14T15:56:41+00:00'
                        project:
                          id: proj_kjQwdE0XOYNVP
                          name: Intelligent Rubber Bench
                          slug: intelligent-rubber-bench
                          description: Rustic Linen Clock
                          provisioning_type: on_demand
                          billing_type: Hourly
                          billing_method: Normal
                          bandwidth_alert: false
                          environment: null
                          billing: {}
                          stats:
                            databases: 0
                            ip_addresses: 0
                            prefixes: 0
                            servers: 0
                            storages: 0
                            virtual_machines: 0
                            vlans: 0
                        user:
                          id: user_0VVWJmQwmzUyMYL0Zv37FwW0aWVP
                          first_name: Margarete
                          last_name: Huels
                          email: charlie@okeefe.example
                          created_at: '2025-09-01T00:00:00.000Z'
                          updated_at: '2025-12-20T00:00:00.000Z'
                          role:
                            id: role_jZxLKXzGNXt0PYgaW4QbfKMPEgM
                            name: owner
                            created_at: '2025-03-24T00:00:00.000Z'
                            updated_at: '2026-06-05T00:00:00.000Z'
                    meta: {}
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ssh_key_data'
      deprecated: true
      security:
        - Bearer: []
components:
  schemas:
    ssh_key_data:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - ssh_keys
        attributes:
          type: object
          properties:
            name:
              type: string
              description: Name of the SSH Key
            public_key:
              type: string
              description: SSH Public Key
            fingerprint:
              type: string
              description: SSH Key fingerprint
            user:
              $ref: '#/components/schemas/user_include'
            project:
              $ref: '#/components/schemas/project_include'
            created_at:
              type: string
            updated_at:
              type: string
      required:
        - type
    user_include:
      type: object
      properties:
        id:
          type: string
        first_name:
          type: string
        last_name:
          type: string
        email:
          type: string
        authentication_factor_id:
          type: string
          nullable: true
        created_at:
          type: string
        updated_at:
          type: string
        role:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
            created_at:
              type: string
            updated_at:
              type: string
    project_include:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        description:
          type: string
          nullable: true
        billing_type:
          type: string
          nullable: true
        provisioning_type:
          type: string
          nullable: true
        billing_method:
          type: string
          nullable: true
        bandwidth_alert:
          type: boolean
        environment:
          type: string
          nullable: true
        billing:
          type: object
          properties:
            subscription_id:
              type: string
              nullable: true
            type:
              type: string
            method:
              type: string
        stats:
          type: object
          properties:
            ip_addresses:
              type: integer
            prefixes:
              type: integer
            servers:
              type: integer
            vlans:
              type: integer
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````